ODFPY 1.2.0 |

Loading...
Searching...
No Matches
Classes | Functions | Variables
odf.attrconverters Namespace Reference

## Classes
class | AttrConverters

## Functions
| make_NCName (arg)
| cnv_angle (attribute, arg, element)
| cnv_anyURI (attribute, arg, element)
| cnv_boolean (attribute, arg, element)
| XML Schema Part 2: Datatypes Second Edition An instance of a datatype that is defined as boolean can have the following legal literals {true, false, 1, 0}.
| cnv_color (attribute, arg, element)
| A RGB color in conformance with §5.9.11 of [XSL], that is a RGB color in notation “::rrggbb”, where rr, gg and bb are 8-bit hexadecimal digits.
| cnv_configtype (attribute, arg, element)
| cnv_data_source_has_labels (attribute, arg, element)
| cnv_date (attribute, arg, element)
| A dateOrDateTime value is either an [xmlschema-2] date value or an [xmlschema-2] dateTime value.
| cnv_dateTime (attribute, arg, element)
| A dateOrDateTime value is either an [xmlschema-2] date value or an [xmlschema-2] dateTime value.
| cnv_double (attribute, arg, element)
| cnv_draw_aspect (attribute, arg, element)
| cnv_duration (attribute, arg, element)
| cnv_family (attribute, arg, element)
| A style family.
| cnv_formula (attribute, arg, element)
| A string containing a formula.
| cnv_ID (attribute, arg, element)
| cnv_IDREF (attribute, arg, element)
| cnv_integer (attribute, arg, element)
| cnv_language (attribute, arg, element)
| cnv_legend_position (attribute, arg, element)
| cnv_length (attribute, arg, element)
| A (positive or negative) physical length, consisting of magnitude and unit, in conformance with the Units of Measure defined in §5.9.13 of [XSL].
| cnv_lengthorpercent (attribute, arg, element)
| cnv_list_linkage_type (attribute, arg, element)
| cnv_metavaluetype (attribute, arg, element)
| cnv_major_minor (attribute, arg, element)
| cnv_namespacedToken (attribute, arg, element)
| cnv_NCName (attribute, arg, element)
| NCName is defined in http://www.w3.org/TR/REC-xml-names/#NT-NCName Essentially an XML name minus ':'.
| cnv_StyleNameRef (attribute, arg, element)
| cnv_DrawNameRef (attribute, arg, element)
| cnv_NCNames (attribute, arg, element)
| cnv_nonNegativeInteger (attribute, arg, element)
| cnv_percent (attribute, arg, element)
| cnv_points (attribute, arg, element)
| cnv_positiveInteger (attribute, arg, element)
| cnv_rowOrCol (attribute, arg, element)
| cnv_string (attribute, arg, element)
| cnv_stroke_linecap (attribute, arg, element)
| cnv_textnoteclass (attribute, arg, element)
| cnv_time (attribute, arg, element)
| cnv_token (attribute, arg, element)
| cnv_viewbox (attribute, arg, element)
| cnv_xlinkshow (attribute, arg, element)
| cnv_xlinktype (attribute, arg, element)

## Variables
| pattern_color = re.compile(r'#[0-9a-fA-F]{6}')
| pattern_vector3D = re.compile(r'\‍([ ]*-?([0-9]+(\.[0-9]*)?|\.[0-9]+)([ ]+-?([0-9]+(\.[0-9]*)?|\.[0-9]+)){2}[ ]*\‍)')
| pattern_language = re.compile(r'[a-zA-Z]{1,8}(-[a-zA-Z0-9]{1,8})*')
| pattern_length = re.compile(r'-?([0-9]+(\.[0-9]*)?|\.[0-9]+)((cm)|(mm)|(in)|(pt)|(pc)|(px))')
| pattern_namespacedToken = re.compile(r'[0-9a-zA-Z_]+:[0-9a-zA-Z._\-]+')
| pattern_percent = re.compile(r'-?([0-9]+(\.[0-9]*)?|\.[0-9]+)%')
| pattern_points = re.compile(r'-?[0-9]+,-?[0-9]+([ ]+-?[0-9]+,-?[0-9]+)*')
| pattern_viewbox = re.compile(r'-?[0-9]+([ ]+-?[0-9]+){3}$')
dict | attrconverters

## Function Documentation

## ◆ cnv_angle()

odf.attrconverters.cnv_angle | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 34 of file attrconverters.py.

## ◆ cnv_anyURI()

odf.attrconverters.cnv_anyURI | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 40 of file attrconverters.py.

## ◆ cnv_boolean()

odf.attrconverters.cnv_boolean | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

XML Schema Part 2: Datatypes Second Edition An instance of a datatype that is defined as boolean can have the following legal literals {true, false, 1, 0}.

Definition at line 47 of file attrconverters.py.

## ◆ cnv_color()

odf.attrconverters.cnv_color | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

A RGB color in conformance with §5.9.11 of [XSL], that is a RGB color in notation “::rrggbb”, where rr, gg and bb are 8-bit hexadecimal digits.

Definition at line 58 of file attrconverters.py.

## ◆ cnv_configtype()

odf.attrconverters.cnv_configtype | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 61 of file attrconverters.py.

## ◆ cnv_data_source_has_labels()

odf.attrconverters.cnv_data_source_has_labels | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 67 of file attrconverters.py.

## ◆ cnv_date()

odf.attrconverters.cnv_date | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

A dateOrDateTime value is either an [xmlschema-2] date value or an [xmlschema-2] dateTime value.

Definition at line 76 of file attrconverters.py.

## ◆ cnv_dateTime()

odf.attrconverters.cnv_dateTime | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

A dateOrDateTime value is either an [xmlschema-2] date value or an [xmlschema-2] dateTime value.

Definition at line 82 of file attrconverters.py.

## ◆ cnv_double()

odf.attrconverters.cnv_double | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 85 of file attrconverters.py.

## ◆ cnv_draw_aspect()

odf.attrconverters.cnv_draw_aspect | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 88 of file attrconverters.py.

## ◆ cnv_DrawNameRef()

odf.attrconverters.cnv_DrawNameRef | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 212 of file attrconverters.py.

## ◆ cnv_duration()

odf.attrconverters.cnv_duration | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 93 of file attrconverters.py.

## ◆ cnv_family()

odf.attrconverters.cnv_family | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

A style family.

Definition at line 97 of file attrconverters.py.

## ◆ cnv_formula()

odf.attrconverters.cnv_formula | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

A string containing a formula.

Formulas do not have a predefined syntax, but the string should begin with a namespace prefix, followed by a “:” (COLON, U+003A) separator, followed by the text of the formula. The namespace bound to the prefix determines the syntax and semantics of the formula.

Definition at line 119 of file attrconverters.py.

## ◆ cnv_ID()

odf.attrconverters.cnv_ID | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 122 of file attrconverters.py.

## ◆ cnv_IDREF()

odf.attrconverters.cnv_IDREF | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 125 of file attrconverters.py.

## ◆ cnv_integer()

odf.attrconverters.cnv_integer | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 128 of file attrconverters.py.

## ◆ cnv_language()

odf.attrconverters.cnv_language | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 133 of file attrconverters.py.

## ◆ cnv_legend_position()

odf.attrconverters.cnv_legend_position | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 139 of file attrconverters.py.

## ◆ cnv_length()

odf.attrconverters.cnv_length | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

A (positive or negative) physical length, consisting of magnitude and unit, in conformance with the Units of Measure defined in §5.9.13 of [XSL].

Definition at line 149 of file attrconverters.py.

Here is the caller graph for this function:

## ◆ cnv_lengthorpercent()

odf.attrconverters.cnv_lengthorpercent | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 155 of file attrconverters.py.

Here is the call graph for this function:

## ◆ cnv_list_linkage_type()

odf.attrconverters.cnv_list_linkage_type | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 165 of file attrconverters.py.

## ◆ cnv_major_minor()

odf.attrconverters.cnv_major_minor | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 175 of file attrconverters.py.

## ◆ cnv_metavaluetype()

odf.attrconverters.cnv_metavaluetype | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 170 of file attrconverters.py.

## ◆ cnv_namespacedToken()

odf.attrconverters.cnv_namespacedToken | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 182 of file attrconverters.py.

## ◆ cnv_NCName()

odf.attrconverters.cnv_NCName | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

NCName is defined in http://www.w3.org/TR/REC-xml-names/#NT-NCName Essentially an XML name minus ':'.

Definition at line 192 of file attrconverters.py.

## ◆ cnv_NCNames()

odf.attrconverters.cnv_NCNames | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 219 of file attrconverters.py.

## ◆ cnv_nonNegativeInteger()

odf.attrconverters.cnv_nonNegativeInteger | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 222 of file attrconverters.py.

## ◆ cnv_percent()

odf.attrconverters.cnv_percent | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 227 of file attrconverters.py.

Here is the caller graph for this function:

## ◆ cnv_points()

odf.attrconverters.cnv_points | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 236 of file attrconverters.py.

## ◆ cnv_positiveInteger()

odf.attrconverters.cnv_positiveInteger | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 249 of file attrconverters.py.

## ◆ cnv_rowOrCol()

odf.attrconverters.cnv_rowOrCol | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 252 of file attrconverters.py.

## ◆ cnv_string()

odf.attrconverters.cnv_string | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 257 of file attrconverters.py.

## ◆ cnv_stroke_linecap()

odf.attrconverters.cnv_stroke_linecap | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 263 of file attrconverters.py.

## ◆ cnv_StyleNameRef()

odf.attrconverters.cnv_StyleNameRef | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 202 of file attrconverters.py.

## ◆ cnv_textnoteclass()

odf.attrconverters.cnv_textnoteclass | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 268 of file attrconverters.py.

## ◆ cnv_time()

odf.attrconverters.cnv_time | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 274 of file attrconverters.py.

## ◆ cnv_token()

odf.attrconverters.cnv_token | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 277 of file attrconverters.py.

## ◆ cnv_viewbox()

odf.attrconverters.cnv_viewbox | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 282 of file attrconverters.py.

## ◆ cnv_xlinkshow()

odf.attrconverters.cnv_xlinkshow | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 288 of file attrconverters.py.

## ◆ cnv_xlinktype()

odf.attrconverters.cnv_xlinktype | ( |  | attribute,
|  |  | arg,
|  |  | element
| ) |  |

Definition at line 293 of file attrconverters.py.

## ◆ make_NCName()

odf.attrconverters.make_NCName | ( |  | arg | ) |

Definition at line 29 of file attrconverters.py.

## Variable Documentation

## ◆ attrconverters

dict odf.attrconverters.attrconverters

Definition at line 299 of file attrconverters.py.

## ◆ pattern_color

odf.attrconverters.pattern_color = re.compile(r'#[0-9a-fA-F]{6}')

Definition at line 26 of file attrconverters.py.

## ◆ pattern_language

odf.attrconverters.pattern_language = re.compile(r'[a-zA-Z]{1,8}(-[a-zA-Z0-9]{1,8})*')

Definition at line 131 of file attrconverters.py.

## ◆ pattern_length

odf.attrconverters.pattern_length = re.compile(r'-?([0-9]+(\.[0-9]*)?|\.[0-9]+)((cm)|(mm)|(in)|(pt)|(pc)|(px))')

Definition at line 144 of file attrconverters.py.

## ◆ pattern_namespacedToken

odf.attrconverters.pattern_namespacedToken = re.compile(r'[0-9a-zA-Z_]+:[0-9a-zA-Z._\-]+')

Definition at line 180 of file attrconverters.py.

## ◆ pattern_percent

odf.attrconverters.pattern_percent = re.compile(r'-?([0-9]+(\.[0-9]*)?|\.[0-9]+)%')

Definition at line 225 of file attrconverters.py.

## ◆ pattern_points

odf.attrconverters.pattern_points = re.compile(r'-?[0-9]+,-?[0-9]+([ ]+-?[0-9]+,-?[0-9]+)*')

Definition at line 234 of file attrconverters.py.

## ◆ pattern_vector3D

odf.attrconverters.pattern_vector3D = re.compile(r'\‍([ ]*-?([0-9]+(\.[0-9]*)?|\.[0-9]+)([ ]+-?([0-9]+(\.[0-9]*)?|\.[0-9]+)){2}[ ]*\‍)')

Definition at line 27 of file attrconverters.py.

## ◆ pattern_viewbox

odf.attrconverters.pattern_viewbox = re.compile(r'-?[0-9]+([ ]+-?[0-9]+){3}$')

Definition at line 280 of file attrconverters.py.